body.category
  .hero
    background rgb(0,233,149)
    background linear-gradient(90deg, $blue_light 0%, $blue 50%)

    .container
      padding-bottom 3rem
      padding-top 3rem

    &__title
      font-size 2rem
      font-weight 700
      margin 0 0 1.5rem

    &__search
      display flex
      margin-bottom 2rem

    &__input
      border-right none
      border-width 0
      border-radius 16px 0 0 16px
      height auto
      padding 4px 8px 4px 16px
      width 325px

      &:focus
        outline none

    &__btn
      border-radius 0 16px 16px 0
      border-width 0
      height auto
      padding 8px 24px

      &:hover
        background lighten($black_light, 8)
        color white

    &__options
      display flex
      flex-direction row

    &__option
      display flex
      flex-direction column
      margin 0 2rem 1rem 0

      &__label
        font-size .875rem
        font-weight 600
        margin-bottom .5rem
        padding-left 8px
        opacity .8

      &__select
        background white
        border-width 0
        border-radius 16px
        padding 4px 8px
        width 200px

        &:focus
          box-shadow 0 0 0 1px $black
          outline none

  .title
    font-size 2rem
    margin 2.5rem auto
    text-align center

  .grid
    display grid
    grid-template-columns repeat(4, auto)
    grid-column-gap 32px
    grid-row-gap 72px
    margin-bottom 2rem

  .product
    &__img
      border-radius 4px

    &__title
      font-size 1rem
      font-weight 600
      height 1.25rem
      text-align center
      width 200px
      margin 0.5rem auto
      white-space nowrap
      overflow hidden
      text-overflow ellipsis

    &__price
      display flex
      align-items center
      justify-content center
      margin-bottom 12px

      &--old
        color $gray_light
        font-size 1.2rem
        margin-right 2rem
        text-decoration line-through

      &--current
        font-size 1.5rem
        font-weight bold

    .btn
      font-size 1.1rem
      font-weight 600
      text-align center
      margin 0 auto
      width 100%


@media screen and (max-width $tablet)
  body.category
    .grid
      grid-template-columns repeat(3, auto)


@media screen and (max-width $mobile)
  body.category
    .hero
      .container
        padding 2rem 1.5rem 1.5rem

      &__title
        font-size 1.75rem

      &__option
        &__select
          font-size .9rem
          width 140px

    .grid
      grid-template-columns repeat(2, auto)

    .product
      &__title
        font-size .9rem
        width 160px

      &__price
        &--old
          font-size 1rem
          margin-right .9rem

        &--current
          font-size 1.1rem

      .btn
        font-size .875rem
        padding 8px

@media screen and (max-width $mobile_small)
  body.category
    .hero

      &__title
        font-size 1.5rem

      &__input
        width 200px

      &__option
        margin 0 1rem 1rem 0

        &__select
          width 120px

      &__btn
        padding 8px 16px

    .grid
      grid-column-gap 16px
      grid-row-gap 48px

    .product
      &__title
        width 120px

      &__price
        &--old
          font-size 1rem
          margin-right .9rem

        &--current
          font-size 1.1rem

      .btn
        font-size .875rem
        padding 8px